/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.deployers.rar.mcf1;

import javax.resource.spi.ConnectionManager;

public class MCF1ConnectionFactoryImpl implements MCF1ConnectionFactory
{
   private ConnectionManager cm;
   
   public MCF1ConnectionFactoryImpl(ConnectionManager cm)
   {
      this.cm = cm;
   }
   
   public void createConnection() throws Exception
   {
      cm.allocateConnection(null, new MCF1ConnectionRequestInfo());
   }
}
